Add analysis feedback [ap-3]
curl --request PUT \
--url https://api.ap-3.documents.resistant.ai/v2/submission/{submission_id}/feedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"comment": "<string>"
}
'import requests
url = "https://api.ap-3.documents.resistant.ai/v2/submission/{submission_id}/feedback"
payload = { "comment": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({comment: '<string>'})
};
fetch('https://api.ap-3.documents.resistant.ai/v2/submission/{submission_id}/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"analysis_feedback": "CORRECT",
"updated": "<string>",
"comment": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}API Reference
Add analysis feedback [ap-3]
Add custom feedback for the document analysis result.
All feedback must be reviewed before submission to ensure it does not contain PII. Submitted feedback is stored securely to support product improvements.
PUT
/
v2
/
submission
/
{submission_id}
/
feedback
Add analysis feedback [ap-3]
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Response
Custom feedback for fraud analysis.
Was this page helpful?